### Virtual Method

# Phosh NotifyDBusNotifications handle_notify

#### Declaration [src]

    gboolean
    handle_notify (
      PhoshNotifyDBusNotifications* object,
      GDBusMethodInvocation* invocation,
      const gchar* arg_app_name,
      guint arg_replaces_id,
      const gchar* arg_app_icon,
      const gchar* arg_summary,
      const gchar* arg_body,
      const gchar* const* arg_actions,
      GVariant* arg_hints,
      gint arg_expire_timeout
    )

#### Description [src]

Handler for the `PhoshNotifyDBusNotifications::handle-notify` signal.

#### Parameters

`invocation`

  Type: `GDBusMethodInvocation`

  No description available.

  The data is owned by the caller of the method.

`arg_app_name`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`arg_replaces_id`

  Type: `guint`

  No description available.

`arg_app_icon`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`arg_summary`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`arg_body`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`arg_actions`

  Type: `const gchar* const*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`arg_hints`

  Type: `GVariant`

  No description available.

  The data is owned by the caller of the method.

`arg_expire_timeout`

  Type: `gint`

  No description available.

#### Return value

Type: `gboolean`

No description available.